Subject: RE: [ Creed Discuss ] The Word Is Out
From: "Kimberly Reid" <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jan 2003 21:11:00 +0000

It's gonna take a helluva LOT more than just a couple of missed awards shows and a gone-awry concert to turn me off Creed or Stappy, but I can honestly say that this is the first time that I have truly been disappointed in them.  Maybe, as Lee likes to put it, I am finally starting to remove my rose-colored glasses or maybe there has just been one too many disappointments piled on top of one another where Stappy and the band are concerned.

I usually feel as though I am on a team all my own on this list, but I really have to agree with what most of the long-timers have long been saying:  this is a Creed DISCUSSION list and just because you don't agree with what another poster is saying-----it IS DISCUSSION, after all, and there would be nothing to discuss if everyone agreed on every little detail.  That is pretty much the main reason that I am part of this list----to discuss Creed-related subjects with others who allegedly are interested in Creed-related topics.  So WHERE BETTER, would you suggest, I [or anyone else who happens to disagree with Sherri, Megan and/or any other list member] go to post thoughts and have Creed-related discussions??  What is keeping you on this "lame" list, anyway?

All you have heard in the past week is negative feedback?  So why the HELL do you think I was so disappointed that they didn't show for the awards shows and prove the detractors WRONG??  I KNOW that they need and deserve rest, but dammit, the fans are waiting on some word or some explanation or some defense or SOMETHING to counter all of the negativity that we are hearing EVERYWHERE---not just here.  What has happened in the past week or two that anyone could POSSIBLY give positive feedback about??

-----Original Message-----

From: Megan [mailto:[email-masked]]

When did I claim that I was "not at all judgemental"? Regardless, I

think I have been on this LAME list long enough to be able to judge a

little about some list members' (frequent posters) personalities-at

least when it concerns Creed. Let me ask this-Do any of you actually

SUPPORT Creed anymore? All I'm hearing in the past week or two is

negative feedback about the band.

Kitty

Protect your PC - Click here for McAfee.com VirusScan Online To unsubscribe or change your preferences for the Creed-Discuss list, visit: http://www.debbir.com/lists/Creed-discuss.htm To submit your profile, visit: http://www.creedlisters.com/profile/submit.asp To view List member Profiles, visit: http://www.creedlisters.com